#!/bin/bash

set -euo pipefail

sudo apt install -y nlohmann-json3-dev wget curl cmake ninja-build mold

if [ ! -f /usr/local/lib/libassert.a ]; then
    git clone https://github.com/jeremy-rifkin/libassert.git
    git checkout v2.1.5
    mkdir libassert/build
    cd "libassert/build" || exit 1
    cmake .. -DCMAKE_BUILD_TYPE=Release
    make -j
    sudo make install
    cd ../..
    rm -rf libassert
fi
