#pragma once
#include <string>

class BashrcEditor {
public:
    BashrcEditor(const std::string& bashrcPath);
    // Checks if the unique block with the source line exists
    bool hasSourceLine(const std::string& scriptPath) const;
    // Adds or updates the unique block with the given scriptPath
    void addSourceLine(const std::string& scriptPath);
    // Removes the unique block
    void removeSourceLine(const std::string& scriptPath);
private:
    std::string bashrcPath;
}; 